Redmine - Feature #30853

Show warning when no workflow is defined for the role

2019-02-21 03:33 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Administration Estimated time: 0.00 hour
Target version: 4.1.0

Resolution: Fixed

Description

Currently, you will see a warning message "No workflow defined for this tracker” when you create a new tracker without copying an
existing workflow. However, no warning is shown for roles even if no workflow is defined for the role.

I think it is helpful for inexperienced Redmine admins to show a similar message when they have created a new role without

workflow. They can easily know that they should define it.

In my experience, many beginners have difficulty to find that they have to define workflows to make use of newly created roles and

statuses.

Roles

Role
Manager
Developer
Reporter

Non member
Anonymous

aaa No workflow defined for this role (Edit) 8 Copy Delete

New role Permissions report

Copy Delete
Copy Delete
Copy Delete

Copy
Copy

Related issues:

Related to Redmine - Feature #30916: Show warning when no tracker uses the st... Closed

Associated revisions

Revision 17899 - 2019-02-24 16:36 - Go MAEDA

Show warning when no workflow is defined for the role (#30853).

Patch by Go MAEDA.

Revision 17900 - 2019-02-24 16:40 - Go MAEDA
Update locales (#30853).

History

#1 - 2019-02-24 12:25 - Go MAEDA
- File no-workflow-warning-for-roles-v2.patch added

- Target version set to 4.1.0

Added test code.

#2 - 2019-02-24 16:39 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed.
#3 - 2019-02-25 04:54 - Go MAEDA

- Related to Feature #30916: Show warning when no tracker uses the status in the workflows added

Files

no-workflow-warning@2x.png 26.1 KB 2019-02-21 Go MAEDA
no-workflow-warning-for-roles.patch 1.55 KB 2019-02-21 Go MAEDA
no-workflow-warning-for-roles-v2.patch 2.65 KB 2019-02-24 Go MAEDA
